Bug 1082401 - Review Request: nodejs-lazystream - Create streams lazily when they are read from or written to
Summary: Review Request: nodejs-lazystream - Create streams lazily when they are read ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1176452 (view as bug list)
Depends On:
Blocks: nodejs-reviews 1177550
TreeView+ depends on / blocked
 
Reported: 2014-03-31 00:49 UTC by T.C. Hollingsworth
Modified: 2015-01-24 18:51 UTC (History)
4 users (show)

Fixed In Version: nodejs-lazystream-0.1.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-29 06:17:40 UTC
tom: fedora-review+
opensource: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2014-03-31 00:49:18 UTC
Spec: http://patches.fedorapeople.org/js-future/SPECS/nodejs-lazystream.spec
SRPM: http://patches.fedorapeople.org/js-future/SRPMS/nodejs-lazystream-0.1.0-1.fc20.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6691077
FAS:  patches
Description:
Create streams lazily when they are read from or written to.

% rpmlint SPECS/nodejs-lazystream.spec SRPMS/nodejs-lazystream-0.1.0-1.fc20.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Tom Hughes 2014-03-31 19:20:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-lazystream-0.1.0-1.fc21.noarch.rpm
          nodejs-lazystream-0.1.0-1.fc21.src.rpm
nodejs-lazystream.noarch: W: incoherent-version-in-changelog 0.1.4-1 ['0.1.0-1.fc21', '0.1.0-1']
nodejs-lazystream.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-lazystream
nodejs-lazystream.noarch: W: incoherent-version-in-changelog 0.1.4-1 ['0.1.0-1.fc21', '0.1.0-1']
nodejs-lazystream.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-lazystream (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-lazystream:
    nodejs-lazystream
    npm(lazystream)



Source checksums
----------------
https://registry.npmjs.org/lazystream/-/lazystream-0.1.0.tgz :
  CHECKSUM(SHA256) this package     : c1d7ede10ee8e11975a97727b8d99aac4ad8ae7a7877a8d1a352e3af271bfafe
  CHECKSUM(SHA256) upstream package : c1d7ede10ee8e11975a97727b8d99aac4ad8ae7a7877a8d1a352e3af271bfafe


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1082401
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-03-31 19:21:30 UTC
Only problem seems to be a bogus version in the changelog:

nodejs-lazystream.noarch: W: incoherent-version-in-changelog 0.1.4-1 ['0.1.0-1.fc21', '0.1.0-1']

Comment 3 T.C. Hollingsworth 2014-04-01 00:32:26 UTC
Oops, fixed:

Spec: http://patches.fedorapeople.org/js-future/SPECS/nodejs-lazystream.spec
SRPM: http://patches.fedorapeople.org/js-future/SRPMS/nodejs-lazystream-0.1.0-1.fc20.src.rpm

No release bump since it's just a changelog fix.

Also, great my rpmlint is broken.  It didn't even mention the non-binary in /usr/lib thing it always mentions.  :-(

Comment 4 Tom Hughes 2014-04-01 06:05:33 UTC
Great. Package approved.

Comment 5 T.C. Hollingsworth 2014-04-10 22:46:33 UTC
New Package SCM Request
=======================
Package Name: nodejs-lazystream
Short Description: Create streams lazily when they are read from or written to
Owners: patches jamielinux
Branches: f20 el6
InitialCC:

Comment 6 Gwyn Ciesla 2014-04-11 11:59:24 UTC
Git done (by process-git-requests).

Comment 7 Parag AN(पराग) 2014-12-22 11:33:18 UTC
*** Bug 1176452 has been marked as a duplicate of this bug. ***

Comment 8 Parag AN(पराग) 2014-12-22 11:34:39 UTC
No idea why this package has not been built even after having 2 maintainers.

Comment 9 Piotr Popieluch 2014-12-28 22:51:41 UTC
I need this package as dependency for nodejs-archiver, which I am currently working on. Can I become co-maintainer and build+push this package?

Comment 10 T.C. Hollingsworth 2014-12-29 06:17:40 UTC
Yeah, I wanted to package nodejs-archiver too a long time ago but we ended up not needing it, so I forgot about this request.  Since you seem to actually have a use for it, I've reassigned the package to you now.

I went ahead and built what I had for rawhide first to make things easier for you.  Please update it or push it back to the stable branches as you wish.

Comment 11 Piotr Popieluch 2014-12-29 22:49:21 UTC
Package Change Request
======================
Package Name: nodejs-lazystream
New Branches: epel7
Owners: piotrp patches jamielinux

Comment 12 Fedora Update System 2014-12-29 22:56:54 UTC
nodejs-lazystream-0.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-lazystream-0.1.0-1.fc21

Comment 13 Fedora Update System 2014-12-29 22:57:22 UTC
nodejs-lazystream-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-lazystream-0.1.0-1.fc20

Comment 14 Till Maas 2015-01-01 22:53:36 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2015-01-01 23:20:42 UTC
nodejs-lazystream-0.1.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-lazystream-0.1.0-1.el7

Comment 16 Fedora Update System 2015-01-08 23:30:32 UTC
nodejs-lazystream-0.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2015-01-08 23:32:43 UTC
nodejs-lazystream-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-01-24 18:51:21 UTC
nodejs-lazystream-0.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.